aboutsummaryrefslogtreecommitdiff
path: root/test/node
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/node
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/node')
-rw-r--r--test/node/install_additional_node.sh17
-rw-r--r--test/node/scenarios.json11
2 files changed, 28 insertions, 0 deletions
diff --git a/test/node/install_additional_node.sh b/test/node/install_additional_node.sh
new file mode 100644
index 0000000..83dae86
--- /dev/null
+++ b/test/node/install_additional_node.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# 'latest' is some version of node 18 for a while.
+check "version_on_path" node -v | grep 18
+
+check "v18_installed" ls -1 /usr/local/share/nvm/versions/node | grep 18
+check "v14_installed" ls -1 /usr/local/share/nvm/versions/node | grep 14.19.3
+check "v17_installed" ls -1 /usr/local/share/nvm/versions/node | grep 17.9.1
+
+
+# Report result
+reportResults
diff --git a/test/node/scenarios.json b/test/node/scenarios.json
new file mode 100644
index 0000000..845c892
--- /dev/null
+++ b/test/node/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_additional_node": {
+ "image": "debian:11",
+ "features": {
+ "node": {
+ "version": "latest",
+ "additionalVersions": "v17.9.1,v14.19.3"
+ }
+ }
+ }
+} \ No newline at end of file